Subject: RE: [HOKEY] proposed wg document: draft-vidya-eap-er-02

From: Madjid Nakhjiri <[email-masked]>
Date: Thu, 01 Mar 2007 07:50:41 -0800

Charles, 

Sorry for the delay, too many deadlines in one week!

First, I am not sure what you mean by "abstract ideas", as I said there are
multiple _documented_ proposals on the table.

Second, HOKEY is supposed to have two separate deliverables, one on
hierarchy and another on protocol. If you think EAP-ER has good *protocol*
discussion, then I am not sure if I find it reasonable to the same document
adopted for key hierarchy.

Third, why don't we just take the good part of the draft into a new document
and adopt that instead. I don't think a March deadline means March 5. We can
all work off parts we agree on. I personally think it is not fair to put the
potential authors and editors into a significant re-write, and a lot of
discussions just because we are trying to meet March 5 deadline. I rather
save the overall time I save on HOKEY, rather than time in front of IETF 68.

I prefer to start with a clean slate (document) and simply pick the best
part of the EAP-ER document for the new document.

Madjid

-----Original Message-----
From: Charles Clancy [mailto:[email-masked]] 
Sent: Wednesday, February 21, 2007 6:12 PM
To: Madjid Nakhjiri
Cc: [email-masked]
Subject: Re: [HOKEY] proposed wg document: draft-vidya-eap-er-02

Madjid,

The "merging" process for a large document is generally more difficult 
to manage and takes more time to complete than adoption of a single 
draft to which changes are then made.  The chairs feel there has been 
ample time to discuss abstract ideas, and would like to make tangible 
progress by moving the discussion concrete protocol descriptions.  It's 
easier to do that with a document in place that provides context for 
describing these protocols.

We fully expect significant changes to EAP-ER, if it is adopted, to 
include editorship, terminology, and protocols.  One significant feature 
of the current EAP-ER draft is it that it already captures the protocol 
transport consensus from the interim meeting.

-- 
t. charles clancy, ph.d.  |  [email-masked]  |  www.cs.umd.edu/~clancy

Madjid Nakhjiri wrote:
> Hi Chairs,
> 
> As I pointed once prior to Interim, I have a solution draft. Various
> versions of the draft has been presented in various IETF venues. The draft
> discusses a complete key hierarchy down to base station level. The draft
has
> been commented on in various occasions on the predecessors of this ML. 
> There seems to be other solutions posted to the list as well, none of
which
> have been discussed on the list.
> 
> While there are multiple documents present, each including valuable
elements
> required for the solution, I am not sure what the reason for adopting one
> and turning everything else into a delta is? 
> 
> Furthermore, I don't see any specific reason to adopt 802.11r terminology
> for IETF, given the level of instability in the connotations perceived
with
> 802.11r elements and that is another issue I see with the Vidya-eap-er
> draft.
> 
> With all due respect to the chairs and the good work of the authors of the
> draft, I am "e-humming" against the adoption of this draft as base line
and
> request that we start a design process that adequately and fairly puts
> forward the views of proposals according to the requirements stated in the
> _merged_ problem statement (which btw, was a merged version of two
existing
> PS drafts itself)
> 
> If meeting timelines is the issue, I will support the chairs quest to push
> back the deadlines..
> 
> R,
> 
> Madjid
> 
> -----Original Message-----
> From: Charles Clancy [mailto:[email-masked]] 
> Sent: Monday, February 19, 2007 5:08 PM
> To: [email-masked]
> Subject: [HOKEY] proposed wg document: draft-vidya-eap-er-02
> 
> HOKEY WG,
> 
> The chairs are requesting a consensus call on adoption of 
> draft-vidya-eap-er-02 as a WG document to satisfy the following 
> deliverables:
> 
> Feb 2007    First draft on EAP Re-authentication and Handover Keying
>              Hierarchy
> Mar 2007    First draft on EAP Re-authentication Protocol
> Mar 2007    First draft on Protocol and Keying Hierarchy for Visited
>              Domain Handovers and Re-authentication
> 
> Please respond to the list by March 5.
> 
> Bear in mind that this document would serve as a starting point for the 
> main HOKEY re-authentication protocol development.  There is certainly 
> still lively, ongoing discussion concerning certain key points of the 
> protocol, but EAP-ER reflects much of the current consensus achieved 
> both at the interim meeting, and subsequently on the list.  Many of the 
> contentious points could be implemented as deltas to EAP-ER.
> 
> Proponents of alternate specific approaches are encouraged to author 
> drafts concretely describing their ideas.  These by no means need to be 
> complete protocol specifications, but they should at least, in a 
> self-contained way, describe the contents of protocol exchanges and the 
> fundamental assumptions on the lower layer protocols and security 
> associations.  We can discuss these in Prague.  The -00 submission 
> deadline is February 26, so if you can't meet that deadline, please 
> inform the chairs so we can add it to the meeting agenda, and post your 
> document to the list no later than March 12.
> 

_______________________________________________
HOKEY mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hokey

_______________________________________________
HOKEY mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hokey